/*
 * file CqHook.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM 
 *
 * com.ibm.rational.wvcm.stp.cq.CqHook
 *
 *  Copyright IBM Corporation 2004, 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

package com.ibm.rational.wvcm.stp.cq;

import com.ibm.rational.wvcm.stp.StpResource;

/**
 * A schema-defined script to be executed during the application of an Action to
 * an actionable resource. Hooks can be referred to directly from record form
 * controls or in the source of another record, action or field hook.
 * <p>
 * It is defined in the HOOK Namespace as a child of a record type.
 * <p>
 * At this time, only named record hooks are supported. These hooks are defined
 * by a record type as the value of the NAMED_HOOK_LIST property of a
 * CqRecordType resource and are used as an argument to
 * CqRecord.doFireNamedHook();
 * <p>
 * The user-friendly specification for the location of a hook has the form
 * <pre>
 *  <b>cq.hook:</b><i>&lt;record-type&gt;</i>/<i>&lt;hook-name&gt;</i>@<i>&lt;db-set&gt;</i>/<i>&lt;user-db&gt;</i>
 * </pre>
 */
public interface CqHook extends CqUserDbMember
{
}
